import { csv } from 'd3';
import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { VictoryLine, VictoryChart } from 'Victory';

const CSV = 'data.csv';

const Graph = () => {
  const [price, setPrice] = useState([]);
  
  useEffect(() => { 
    csv(CSV, (ticker) => { return +ticker.Price; } )
      .then(setPrice); }, []);
  console.log(price)
  
  return (
    <VictoryChart width='1000' height='500'>
    <VictoryLine data={price} x='Date' y='Price' />
    </VictoryChart>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<Graph />, rootElement);